Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractVertex<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex<V,E,O>

Type Parameters:
  `V` - The type of the graph's vertices
  `E` - The type of the graph's edges
  `O` - The type of object from which the graph's elements originate

Direct Known Subclasses:
  AbstractCallTreeNode, AbstractPayloadedVertex

    public abstract class AbstractVertex<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

extends AbstractGraphElement<O>

Generic superclass for all vertices in the visualization package.

Since:
  1.6
Author:
  Holger Knoche

Method Summary
`void` | `addDecoration(AbstractVertexDecoration decoration)` Adds a decoration to this vertex.
`
`<DecorationT extends AbstractVertexDecoration> DecorationT`
` | `getDecoration(Class<DecorationT> type)` Returns the decoration of this vertex of the given type.
`Collection<AbstractVertexDecoration>` | `getDecorations()` Returns all decorations of this vertex.
`abstract Collection<E>` | `getOutgoingEdges()` Returns the outgoing edges of this vertex.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getIdentifier, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOutgoingEdges

    public abstract Collection<E> getOutgoingEdges()

  Returns the outgoing edges of this vertex.

  Returns:
    See above

### getDecoration

    public <DecorationT extends AbstractVertexDecoration> DecorationT getDecoration(Class<DecorationT> type)

  Returns the decoration of this vertex of the given type.

  Parameters:
    `type` - The type of the desired decoration
  Returns:
    The given decoration or `null` if no such type exists

### addDecoration

    public void addDecoration(AbstractVertexDecoration decoration)

  Adds a decoration to this vertex. Note that the given decoration may replace an existing decoration of the same type.

  Parameters:
    `decoration` - The decoration to add

### getDecorations

    public Collection<AbstractVertexDecoration> getDecorations()

  Returns all decorations of this vertex.

  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net